program fjf435;

uses GPC;

procedure Foo (const FileName : String; LineNumber : Integer);
begin
  if (LineNumber = 14) and IsSuffix ('fjf435.pas', FileName) then
    Write ('OK')
  else
    Write ('failed ', FileName, ' ', LineNumber)
end;

{$debug-statement=foo}
begin
{$no-debug-statement}
  WriteLn;
end.
